DtHelpQuickDialogGetChild(library call)

NAME
DtHelpQuickDialogGetChild — get child of DtHelpQuickDialog widget

SYNOPSIS

#include &<Dt/HelpQuickD.h>
Widget DtHelpQuickDialogGetChild(
Widget widget,
int child);

DESCRIPTION

The DtHelpQuickDialogGetChild function accesses a component within a DtHelpQuickDialog widget.

The widget argument specifies the DtHelpQuickDialog widget instance.

The child argument specifies which DtHelpQuickDialog widget child the widget ID is for. The following are valid values for the child argument:

DtHELP_QUICK_CLOSE_BUTTON DtHELP_QUICK_PRINT_BUTTON DtHELP_QUICK_HELP_BUTTON DtHELP_QUICK_SEPARATOR DtHELP_QUICK_MORE_BUTTON DtHELP_QUICK_BACK_BUTTON

RETURN VALUE

Upon successful completion, the DtHelpQuickDialogGetChild function returns the widget ID of the requested child of the DtHelpQuickDialog widget; otherwise, it returns NULL if either the function call fails, or an invalid value was passed in for the child argument.

If an invalid child type is given, a warning message is generated: ``Non-valid Quick Help child type.''

SEE ALSO

Dt/HelpQuickD.h - DtHelpQuickD(5), DtCreateHelpQuickDialog(3); XmeWarning(3).